<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/processdef">
  <process id="financial-budget-audit" name="财务预算审核" isExecutable="true">
    <documentation>财务预算审核流程</documentation>
    <startEvent id="sid-DFF190C8-AF14-4F25-9884-8244241B8B92"></startEvent>
    <userTask id="sid-6DEBE676-3825-41C1-9018-A98B201CE431" name="部门主任根据建议调整" activiti:assignee="${applyUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="4,5" type="string"></activiti:formProperty>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-71652202-416A-47AD-B350-64A5EB32150F" name="分管领导审核" activiti:assignee="${leader}">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-24659040-351D-49F0-9D7F-63954B1B73A4"></exclusiveGateway>
    <sequenceFlow id="sid-5F424D79-BE70-4179-8DC5-37BCEEC32C17" sourceRef="sid-71652202-416A-47AD-B350-64A5EB32150F" targetRef="sid-24659040-351D-49F0-9D7F-63954B1B73A4"></sequenceFlow>
    <userTask id="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B" name="财务汇总预算申报表" activiti:assignee="1178123596505927682">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-6B00FACE-983F-47A2-A8C1-66E45391334A" name="领导审核" activiti:assignee="1178121459160940545">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <exclusiveGateway id="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4"></exclusiveGateway>
    <sequenceFlow id="sid-53A4459E-8A12-4839-9322-2F1A897B54DD" sourceRef="sid-6B00FACE-983F-47A2-A8C1-66E45391334A" targetRef="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4"></sequenceFlow>
    <endEvent id="sid-9765357C-BA8A-4B0B-B84E-029AA06D66CF">
      <extensionElements>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.ProcessResultListener"></activiti:executionListener>
      </extensionElements>
    </endEvent>
    <sequenceFlow id="sid-330AF9D3-87D7-4352-B827-9A2532274406" name="通过" sourceRef="sid-24659040-351D-49F0-9D7F-63954B1B73A4" targetRef="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-C43B1EF5-6D16-4846-B048-90BCE32376D0" sourceRef="sid-DFF190C8-AF14-4F25-9884-8244241B8B92" targetRef="sid-71652202-416A-47AD-B350-64A5EB32150F"></sequenceFlow>
    <exclusiveGateway id="sid-71141D56-3D72-432E-BA3A-31AF1BC20E89"></exclusiveGateway>
    <sequenceFlow id="sid-D2C07D8B-740B-4CF5-B040-42972918EAEA" sourceRef="sid-6DEBE676-3825-41C1-9018-A98B201CE431" targetRef="sid-71141D56-3D72-432E-BA3A-31AF1BC20E89"></sequenceFlow>
    <sequenceFlow id="sid-6EA77D33-3887-4A51-A9A5-A99A58F9D590" name="未通过" sourceRef="sid-24659040-351D-49F0-9D7F-63954B1B73A4" targetRef="sid-6DEBE676-3825-41C1-9018-A98B201CE431">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-F3BC58CC-E4E6-4F72-BB72-4D535867C1FB" name="继续申请" sourceRef="sid-71141D56-3D72-432E-BA3A-31AF1BC20E89" targetRef="sid-71652202-416A-47AD-B350-64A5EB32150F">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 4}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-6DA45B98-93C6-49EF-BA5D-F2BB74301D7F" name="放弃申请" sourceRef="sid-71141D56-3D72-432E-BA3A-31AF1BC20E89" targetRef="sid-9765357C-BA8A-4B0B-B84E-029AA06D66CF">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 5}]]></conditionExpression>
    </sequenceFlow>
    <userTask id="sid-D50D891F-6EAF-44B6-ACC7-7634C017E9B1" name="系统通知申请人并上报财务预算报表" activiti:assignee="1178123596505927682">
      <extensionElements>
        <activiti:formProperty id="writable" name="1" type="string"></activiti:formProperty>
        <activiti:formProperty id="flag" name="3" type="string"></activiti:formProperty>
        <activiti:formProperty id="fieldWritable" name="1" type="string"></activiti:formProperty>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.BudgetNotice2ApplyUser"></activiti:executionListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-9852FD3C-15F4-40E9-A608-EAA4CC0DD800" name="退回到申请人" sourceRef="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4" targetRef="sid-6DEBE676-3825-41C1-9018-A98B201CE431">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-A0AAB61C-B6EA-444A-8536-A8A5535402F0" name="通过" sourceRef="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4" targetRef="sid-D50D891F-6EAF-44B6-ACC7-7634C017E9B1">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-984EDC22-C91D-4AA0-824A-C62D21CA6F95" name="退回到财务" sourceRef="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4" targetRef="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 2}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-FD71BEFE-3484-4B4A-959D-92FE701592F4" name="同意" sourceRef="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B" targetRef="sid-6B00FACE-983F-47A2-A8C1-66E45391334A">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-1B4BE028-5B60-482C-AF2B-A3CA89052B33" name="拒绝" sourceRef="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B" targetRef="sid-6DEBE676-3825-41C1-9018-A98B201CE431">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <userTask id="sid-F97ABD7B-72EB-4A1C-95CC-68E10A5BBF4C" name="申请人查看批复金额" activiti:assignee="${applyUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="3" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-EADC0EED-5FBA-4F16-BCFD-9C80EEB6B6EA" sourceRef="sid-D50D891F-6EAF-44B6-ACC7-7634C017E9B1" targetRef="sid-F97ABD7B-72EB-4A1C-95CC-68E10A5BBF4C"></sequenceFlow>
    <sequenceFlow id="sid-A1EF7019-0AD9-4827-AFF6-C6A6412D2651" sourceRef="sid-F97ABD7B-72EB-4A1C-95CC-68E10A5BBF4C" targetRef="sid-9765357C-BA8A-4B0B-B84E-029AA06D66CF"></sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_financial-budget-audit">
    <bpmndi:BPMNPlane bpmnElement="financial-budget-audit" id="BPMNPlane_financial-budget-audit">
      <bpmndi:BPMNShape bpmnElement="sid-DFF190C8-AF14-4F25-9884-8244241B8B92" id="BPMNShape_sid-DFF190C8-AF14-4F25-9884-8244241B8B92">
        <omgdc:Bounds height="30.0" width="30.0" x="485.0" y="120.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-6DEBE676-3825-41C1-9018-A98B201CE431" id="BPMNShape_sid-6DEBE676-3825-41C1-9018-A98B201CE431">
        <omgdc:Bounds height="80.0" width="100.0" x="630.0" y="325.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-71652202-416A-47AD-B350-64A5EB32150F" id="BPMNShape_sid-71652202-416A-47AD-B350-64A5EB32150F">
        <omgdc:Bounds height="80.0" width="100.0" x="450.0" y="210.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-24659040-351D-49F0-9D7F-63954B1B73A4" id="BPMNShape_sid-24659040-351D-49F0-9D7F-63954B1B73A4">
        <omgdc:Bounds height="40.0" width="40.0" x="480.0" y="345.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B" id="BPMNShape_sid-AE30FCBE-9CE2-4FF9-88F8-8A5F5268FF4B">
        <omgdc:Bounds height="80.0" width="100.0" x="450.0" y="435.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-6B00FACE-983F-47A2-A8C1-66E45391334A" id="BPMNShape_sid-6B00FACE-983F-47A2-A8C1-66E45391334A">
        <omgdc:Bounds height="80.0" width="100.0" x="450.0" y="555.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4" id="BPMNShape_sid-BDE1925B-EE31-4E80-A116-F9430CBF2BD4">
        <omgdc:Bounds height="40.0" width="40.0" x="480.0" y="675.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-9765357C-BA8A-4B0B-B84E-029AA06D66CF" id="BPMNShape_sid-9765357C-BA8A-4B0B-B84E-029AA06D66CF">
        <omgdc:Bounds height="28.0" width="28.0" x="486.0" y="990.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-71141D56-3D72-432E-BA3A-31AF1BC20E89" id="BPMNShape_sid-71141D56-3D72-432E-BA3A-31AF1BC20E89">
        <omgdc:Bounds height="40.0" width="40.0" x="660.0" y="230.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-D50D891F-6EAF-44B6-ACC7-7634C017E9B1" id="BPMNShape_sid-D50D891F-6EAF-44B6-ACC7-7634C017E9B1">
        <omgdc:Bounds height="80.0" width="100.0" x="450.0" y="750.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-F97ABD7B-72EB-4A1C-95CC-68E10A5BBF4C" id="BPMNShape_sid-F97ABD7B-72EB-4A1C-95CC-68E10A5BBF4C">
        <omgdc:Bounds height="80.0" width="100.0" x="450.0" y="870.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-6DA45B98-93C6-49EF-BA5D-F2BB74301D7F" id="BPMNEdge_sid-6DA45B98-93C6-49EF-BA5D-F2BB74301D7F">
        <omgdi:waypoint x="699.5" y="250.5"></omgdi:waypoint>
        <omgdi:waypoint x="761.2000122070312" y="250.5"></omgdi:waypoint>
        <omgdi:waypoint x="761.2000122070312" y="1004.0"></omgdi:waypoint>
        <omgdi:waypoint x="514.0" y="1004.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-53A4459E-8A12-4839-9322-2F1A897B54DD" id="BPMNEdge_sid-53A4459E-8A12-4839-9322-2F1A897B54DD">
        <omgdi:waypoint x="500.0" y="635.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="675.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-984EDC22-C91D-4AA0-824A-C62D21CA6F95" id="BPMNEdge_sid-984EDC22-C91D-4AA0-824A-C62D21CA6F95">
        <omgdi:waypoint x="480.0" y="695.0"></omgdi:waypoint>
        <omgdi:waypoint x="394.0" y="695.0"></omgdi:waypoint>
        <omgdi:waypoint x="394.0" y="475.0"></omgdi:waypoint>
        <omgdi:waypoint x="450.0" y="475.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-FD71BEFE-3484-4B4A-959D-92FE701592F4" id="BPMNEdge_sid-FD71BEFE-3484-4B4A-959D-92FE701592F4">
        <omgdi:waypoint x="500.0" y="515.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="555.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-D2C07D8B-740B-4CF5-B040-42972918EAEA" id="BPMNEdge_sid-D2C07D8B-740B-4CF5-B040-42972918EAEA">
        <omgdi:waypoint x="680.1746724890829" y="325.0"></omgdi:waypoint>
        <omgdi:waypoint x="680.4166666666666" y="269.5833333333333"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-1B4BE028-5B60-482C-AF2B-A3CA89052B33" id="BPMNEdge_sid-1B4BE028-5B60-482C-AF2B-A3CA89052B33">
        <omgdi:waypoint x="550.0" y="475.0"></omgdi:waypoint>
        <omgdi:waypoint x="680.0" y="475.0"></omgdi:waypoint>
        <omgdi:waypoint x="680.0" y="405.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-5F424D79-BE70-4179-8DC5-37BCEEC32C17" id="BPMNEdge_sid-5F424D79-BE70-4179-8DC5-37BCEEC32C17">
        <omgdi:waypoint x="500.0" y="290.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="345.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-F3BC58CC-E4E6-4F72-BB72-4D535867C1FB" id="BPMNEdge_sid-F3BC58CC-E4E6-4F72-BB72-4D535867C1FB">
        <omgdi:waypoint x="660.4444444444445" y="250.44444444444446"></omgdi:waypoint>
        <omgdi:waypoint x="550.0" y="250.13850415512465"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-C43B1EF5-6D16-4846-B048-90BCE32376D0" id="BPMNEdge_sid-C43B1EF5-6D16-4846-B048-90BCE32376D0">
        <omgdi:waypoint x="500.0" y="150.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="210.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A0AAB61C-B6EA-444A-8536-A8A5535402F0" id="BPMNEdge_sid-A0AAB61C-B6EA-444A-8536-A8A5535402F0">
        <omgdi:waypoint x="500.0" y="715.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="750.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-330AF9D3-87D7-4352-B827-9A2532274406" id="BPMNEdge_sid-330AF9D3-87D7-4352-B827-9A2532274406">
        <omgdi:waypoint x="500.0" y="385.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="435.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-6EA77D33-3887-4A51-A9A5-A99A58F9D590" id="BPMNEdge_sid-6EA77D33-3887-4A51-A9A5-A99A58F9D590">
        <omgdi:waypoint x="520.0" y="365.0"></omgdi:waypoint>
        <omgdi:waypoint x="630.0" y="365.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-9852FD3C-15F4-40E9-A608-EAA4CC0DD800" id="BPMNEdge_sid-9852FD3C-15F4-40E9-A608-EAA4CC0DD800">
        <omgdi:waypoint x="520.0" y="695.0"></omgdi:waypoint>
        <omgdi:waypoint x="682.2000122070312" y="695.0"></omgdi:waypoint>
        <omgdi:waypoint x="682.2000122070312" y="405.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A1EF7019-0AD9-4827-AFF6-C6A6412D2651" id="BPMNEdge_sid-A1EF7019-0AD9-4827-AFF6-C6A6412D2651">
        <omgdi:waypoint x="500.0" y="950.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="990.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-EADC0EED-5FBA-4F16-BCFD-9C80EEB6B6EA" id="BPMNEdge_sid-EADC0EED-5FBA-4F16-BCFD-9C80EEB6B6EA">
        <omgdi:waypoint x="500.0" y="830.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="870.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>